SureBright

By Product Details

Headers#

HeaderDescriptionRequired
X-SureBright-Access-TokenAccess token for authenticationNo
Content-Typeapplication/jsonYes

Country and State Codes#

POSThttps://{HOST_NAME}/api/v1/quote/listWarrantyQuotes

This endpoint retrieves a list of warranty quotes based on product details (title, description, and price). The response includes detailed warranty options, pricing, and coverage information similar to other quote endpoints.

Query parameters

storeIdstringrequired

A unique identifier for a store will be shared as part of the integration kit

Example: ecca4210-09a4-446c-ad87-5e65bd50df12
countrystringrequired

The country code of the identified customer location

Example: US
statestring

The state code of the identified customer location

Example: AL

Body

application/json
json
{
  "productTitle": "Sony Bravia OLED 4K",
  "productDescription": "4K LED TV",
  "productPrice": 21
}